#!/bin/sh

#RECIPIENT="support@zibimed.de,zipfel@zibimed.de"
RECIPIENT="support@zibimed.de"
SUBJECT="Backup PACS Server"
HEADER="Content-Type: text/plain; charset=UTF-8"

# stderr wird nach stdout umgeleitet und string Ausgabe in Variblen gespeichert

OUTPUTDB="$(/opt/siraserver/backupdb.sh nodate 2>&1)"
# if backupdb was ok run next command
if [ $? -eq 0 ] ; then
  OUTPUTREMOTE="$(/opt/siraserver/backup2remote.sh 2>&1)"
fi  


if [ $? -ne 0 ] ; then
  OUTPUT="Leider ist beim Bachup ein Fehler aufgetreten." 
  if [ -n "$OUTPUTDB" ]; then
    OUTPUT="$OUTPUT Fehlermeldung: ${OUTPUTDB}."
  fi
  if [ -n "$OUTPUTREMOTE" ]; then
    OUTPUT="$OUTPUT Fehlermeldung: ${OUTPUTREMOTE}."
  fi
#  echo "$OUTPUT" | mail -a "$HEADER" -r "$FROM" -s "$SUBJECT" "$RECIPIENT"
  echo "$OUTPUT" | mail -r "$FROM" -s "$SUBJECT" "$RECIPIENT" 
else
  OUTPUT="Das Backup wurde erfolgreich durchgeführt."
  echo "$OUTPUT" | mail -a "$HEADER" -s "$SUBJECT" "$RECIPIENT"
fi
echo "$OUTPUT"
