#!/bin/sh

ServerConf=/etc/siraserver/siraserver.cfg

BackupFile=$1

# Service name
service_name="siraserver"
service_name_guard="siraguard"

echo "Useing Backup file: $1"

# Check if the service is active
if systemctl is-active --quiet "$service_name"; then
    echo "Service '$service_name'and '$service_name_guard' is running. Stopping it now..."
    systemctl stop "$service_name_guard"
    if [ $? -eq 0 ]; then
        echo "Service '$service_name_guard' stopped successfully."
    else
        echo "Failed to stop service '$service_name_guard'."
    exit 1
    fi
    systemctl stop "$service_name"
    if [ $? -eq 0 ]; then
        echo "Service '$service_name' stopped successfully."
    else
        echo "Failed to stop service '$service_name'."
    exit 1
    fi
else
    systemctl stop "$service_name_guard"
    echo "Service '$service_name' is not running. Only guard $service_name_guard stopped"
fi

User=`sed -n '/<DB /s/.*User="\([^\"]*\)".*/\1/p' $ServerConf`
Password=`sed -n '/<DB /s/.*Password="\([^\"]*\)".*/\1/p' $ServerConf`
Database=`sed -n '/<DB /s/.*Database="\([^\"]*\)".*/\1/p' $ServerConf`
echo "Database Facts: $User,$Password,$Database"
#echo $User
#echo $Password
#echo $Database

now=$(date +"%d.%m.%Y")

#echo "gfix -shut -user $User -password $Password -tran 60 localhost:$Database"
gfix -user $User -password $Password -shut -tran 60 localhost:$Database
if [ $? -eq 0 ]; then
    echo "Orginal database repaired"
else
    echo "Error repairing orginal database"
fi
#echo "gbak -replace -user $User -password $Password $BackupFile localhost:$Database"
gbak -replace -user $User -password $Password $BackupFile localhost:$Database
if [ $? -eq 0 ]; then
    echo "Database replaced with $1"
    sleep 1
    echo "Restarting services: $service_name_guard $service_name"
    systemctl start "$service_name"
    if [ $? -eq 0 ]; then
        echo "Service '$service_name' started successfully."
    else
        echo "Failed to start service '$service_name'."
    exit 1
    fi
    # wichtig, der Server braucht Zeit zum starten!
    sleep 15
    systemctl start "$service_name_guard"
    if [ $? -eq 0 ]; then
        echo "Service '$service_name_guard' started successfully."
    else
        echo "Failed to start service '$service_name_guard'."
    exit 1
    fi
echo
echo "All done"
else
    echo "Error replacing database"
    exit 1
fi
